package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassesspsychologysocial.ElderlyAssessPsychologySocialPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassesspsychologysocial.ElderlyAssessPsychologySocialRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassesspsychologysocial.ElderlyAssessPsychologySocialSaveReqVO;

public interface ElderlyAssessPsychologySocialService {

    Long create(ElderlyAssessPsychologySocialSaveReqVO createReqVO);

    void update(ElderlyAssessPsychologySocialSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyAssessPsychologySocialRespVO get(Long id);

    PageResult<ElderlyAssessPsychologySocialRespVO> getPage(ElderlyAssessPsychologySocialPageReqVO pageReqVO);
}

